> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Callback for data transfer from filetask

> Callback for data transfer from filetask



## OpenAPI

````yaml /api-specs/cloud/public-api.json post /remotefs/v1/data-transfers/{id}/callback
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /remotefs/v1/data-transfers/{id}/callback:
    post:
      tags:
        - NetApp Volumes transfers
      summary: Callback for data transfer from filetask
      description: Callback for data transfer from filetask
      parameters:
        - description: ID of data transfer targetted for callback from filetask
          name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/data-remotefs-service_remotefs.DataTransfer
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
components:
  schemas:
    data-remotefs-service_remotefs.DataTransfer:
      type: object
      required:
        - createdAt
        - createdBy
        - destinationVolumeId
        - id
        - status
        - type
        - updatedAt
        - updatedBy
      properties:
        createdAt:
          type: string
        createdBy:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.UserSummary'
        destinationVolumeId:
          type: string
        filetaskKey:
          type: string
        id:
          type: string
        labels:
          type: object
          additionalProperties:
            type: string
        status:
          $ref: >-
            #/components/schemas/data-remotefs-service_remotefs.DataTransferStatus
        taskUpdate:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.TaskUpdate'
        type:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.DataTransferType'
        updatedAt:
          type: string
        updatedBy:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.UserSummary'
    data-remotefs-service_server.HTTPError:
      type: object
      properties:
        message:
          type: string
    data-remotefs-service_remotefs.UserSummary:
      type: object
      required:
        - firstName
        - id
        - lastName
        - userName
      properties:
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        userName:
          type: string
    data-remotefs-service_remotefs.DataTransferStatus:
      type: string
      enum:
        - Failed
        - Started
        - Succeeded
      x-enum-varnames:
        - TransferStatusFailed
        - TransferStatusStarted
        - TransferStatusSucceeded
    data-remotefs-service_remotefs.TaskUpdate:
      type: object
      properties:
        artifactDetails:
          $ref: >-
            #/components/schemas/data-remotefs-service_remotefs.FlowsArtifactDetails
        exportTargetId:
          type: string
        key:
          $ref: >-
            #/components/schemas/data-remotefs-service_remotefs.FlowsArtifactVersionKey
        progress:
          type: integer
        tags:
          type: object
          additionalProperties:
            type: string
        type:
          type: string
        uri:
          type: string
    data-remotefs-service_remotefs.DataTransferType:
      type: string
      enum:
        - flows-artifact-export
      x-enum-varnames:
        - DataTransferTypeFlowsArtifactExport
    data-remotefs-service_remotefs.FlowsArtifactDetails:
      type: object
      properties:
        artifact_name:
          type: string
        workflow_name:
          type: string
        workflow_version:
          type: string
    data-remotefs-service_remotefs.FlowsArtifactVersionKey:
      type: object
      properties:
        artifactId:
          type: string
        execution:
          $ref: >-
            #/components/schemas/data-remotefs-service_remotefs.FlowsExecutionIdentifier
    data-remotefs-service_remotefs.FlowsExecutionIdentifier:
      type: object
      properties:
        domain:
          type: string
        name:
          type: string
        project:
          type: string

````

## Related topics

- [Create](/api-reference/exports/create.md)
- [List data transfers](/api-reference/netapp-volumes-transfers/list-data-transfers.md)
- [Get data transfer by ID](/api-reference/netapp-volumes-transfers/get-data-transfer-by-id.md)
- [Create new data transfer](/api-reference/netapp-volumes-transfers/create-new-data-transfer.md)
